Download it now!
Bug 57375 - UI: Duplicate access keys (accelerators) for Alt-I-U in Impress
Summary: UI: Duplicate access keys (accelerators) for Alt-I-U in Impress
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.5.3 release
Hardware: All Windows (All)
: medium normal
Assignee: Rob Snelders
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-21 15:38 UTC by David F Smith
Modified: 2013-07-19 07:55 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David F Smith 2012-11-21 15:38:11 UTC
Keyboard shortcut for Insert > Picture doesn't work.  Based on the underlined characters, it should be Alt-I-U, but that sequence does nothing.  (Alt-I-U works correctly in Writer; it brings up Function List in Calc, which I will report separately.)
Comment 1 Korrawit Pruegsanusak 2012-11-22 14:16:16 UTC
Thanks for bug report! I can confirm this.

0. Open Impress
1. If you press Alt-I, you get "~Insert" menu appearing.
2. Press U, you get "D~uplicate Slide". Pressing U again gives "Pict~ure".

The ~ means next character is underlined, and is access key (or accelerator).

But, I'm not sure if we have any guidelines about this? Astron, any idea here? Thanks :)
Comment 2 Stefan Knorr (astron) 2012-11-22 14:43:32 UTC
Can reproduce with 3.5.4.

Korrawit, as far as I understand it, the letters normally underline themselves in such a way that no letter is underlined twice on the same hierarchy level (if you have more than 26 menu entries things might get duplicated, but it shouldn't happen before that).
However,  you can manually futz with that by adding a ~ before the letter that is supposed to be underlined.
If all that is the case, we could probably just stop manually futzing with which letters are underlined.

If I misunderstood the system, then C and R should both still be free, we could use them.
Comment 3 Korrawit Pruegsanusak 2012-11-22 15:13:37 UTC
Thanks Astron, but who would we ask about the system? :)
Comment 4 Stefan Knorr (astron) 2012-11-22 15:50:32 UTC
My concept of how it would work in comment 3 wasn't so bad...
removing the ~ from the string lets the build finish just fine, but the problem arising then is that in Calc, we don't get any underline.

Concluding, I am not sure, if we can really do anything here.


For reference, the string lies in these two files:
officecfg/registry/data/org/openoffice/Office/UI/GenericCommands.xcu
and
officecfg/registry/data/org/openoffice/Office/UI/WriterCommands.xcu
Comment 5 Rob Snelders 2012-12-02 20:07:50 UTC
When removing the ~ in Duplicate Slide moves the short-cut of that function to Alt+S. I think that is the better option as that preserves the consistency between applications for the Insert Picture menu-option.

This change needs to be made at officecfg/registry/data/org/openoffice/Office/UI/DrawImpressCommands.xcu:432
Comment 6 Rob Snelders 2013-03-23 19:31:34 UTC
send a patch to gerrit
Comment 7 David F Smith 2013-07-18 16:05:36 UTC
As I understand the 2012-12-02 comment from Rob Snelders, the proposal was to change the keyboard shortcut for Insert Duplicate Slide in Impress to Alt-I-S, so that Alt-I-U would mean Insert Picture.  That has NOT been done in 4.0.4.2: Alt-I-U means Insert Duplicate, Alt-I-U-U means Insert Picture, and Alt-I-S does nothing.  So I don't agree that this bug is Resolved Fixed.
Comment 8 Stefan Knorr (astron) 2013-07-19 07:54:43 UTC
David, this will not be fixed in Libreoffice 4.1.0, coming out soon.
For reference, this is the commit that went in:

  http://cgit.freedesktop.org/libreoffice/core/commit/?id=2f53afc7016063b6d74ca5dbdafd04bfcf1eb0da
Comment 9 Stefan Knorr (astron) 2013-07-19 07:55:42 UTC
Sorry, I didn't mean "will not be fixed", I meant "will be fixed".